List session subagents
List the subagents of a session, newest first, including Verification agent runs Inspect started for it. Subagents are not sessions: read them through the subagent endpoints of their parent session. Sessions without a Laminar runtime return an empty list.
Base URL
GET
List the subagents of a session, newest first, including Verification agent runs Inspect started for it. Subagents are not sessions: read them through the subagent endpoints of their parent session. Sessions without a Laminar runtime return an empty list.
bearerAuthheader
AuthorizationBearer <token>API key authentication. Use your API key as the bearer token.
session_id*stringThe unique identifier of the session
Subagents of the session
application/json- response
data*array<>curl -X GET 'https://your-org.inspect.com/api/public/v1/sessions/string/subagents'Example Response
{ "data": [ { "id": "string", "kind": "verifier", "name": "string", "status": "running", "createdAt": "2019-08-24T14:15:22Z" } ]}